summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--ChangeLog5
-rw-r--r--NEWS1
-rwxr-xr-xautogen.sh9
-rw-r--r--configure.ac4
-rw-r--r--memcached.c1
5 files changed, 15 insertions, 5 deletions
diff --git a/ChangeLog b/ChangeLog
index a0767f7..d99e960 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2003-06-14
+ * update to version 1.0.2
+ * autoconf/automake fixes for older versions
+ * make stats report version number
+
Fri, 13 Jun 2003 10:05:51 -0700 Evan Martin <martine@danga.com>
* configure.ac, autogen.sh, Makefile.am: Use autotools.
diff --git a/NEWS b/NEWS
new file mode 100644
index 0000000..78b1eca
--- /dev/null
+++ b/NEWS
@@ -0,0 +1 @@
+http://www.danga.com/memcached/news.bml
diff --git a/autogen.sh b/autogen.sh
index f83c887..c3a63b5 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,8 +1,11 @@
#!/bin/sh
+#
+# This is hacky, because there are so many damn versions
+# of autoconf/automake. It works with Debian woody, at least.
+#
echo "aclocal..."
-ACLOCAL=${ACLOCAL:-aclocal-1.7}
-$ACLOCAL || exit 1
+$ACLOCAL || aclocal-1.7 || aclocal-1.5 || exit 1
echo "autoheader..."
AUTOHEADER=${AUTOHEADER:-autoheader}
@@ -10,7 +13,7 @@ $AUTOHEADER || exit 1
echo "automake..."
AUTOMAKE=${AUTOMAKE:-automake-1.7}
-$AUTOMAKE --gnu --add-missing || exit 1
+$AUTOMAKE --gnu --add-missing || automake --gnu --add-missing || exit 1
echo "autoconf..."
AUTOCONF=${AUTOCONF:-autoconf}
diff --git a/configure.ac b/configure.ac
index 8c24424..ed17b8e 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,7 +1,7 @@
AC_PREREQ(2.52)
-AC_INIT(memcached, 1.0.1, XXXzilla)
+AC_INIT(memcached, 1.0.2, brad@danga.com)
AC_CONFIG_SRCDIR(memcached.c)
-AM_INIT_AUTOMAKE([dist-bzip2])
+AM_INIT_AUTOMAKE(AC_PACKAGE_NAME, AC_PACKAGE_VERSION)
AM_CONFIG_HEADER(config.h)
AC_PROG_CC
diff --git a/memcached.c b/memcached.c
index 8b9aa27..957523b 100644
--- a/memcached.c
+++ b/memcached.c
@@ -297,6 +297,7 @@ void process_stat(conn *c, char *command) {
pos += sprintf(pos, "STAT pid %u\r\n", pid);
pos += sprintf(pos, "STAT uptime %lu\r\n", now - stats.started);
+ pos += sprintf(pos, "STAT version " VERSION "\r\n");
pos += sprintf(pos, "STAT curr_items %u\r\n", stats.curr_items);
pos += sprintf(pos, "STAT total_items %u\r\n", stats.total_items);
pos += sprintf(pos, "STAT bytes %llu\r\n", stats.curr_bytes);